FrenchAnalyzer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.fr.FrenchAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.fr
Class FrenchAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.fr.FrenchAnalyzer

    public final class FrenchAnalyzer

extends Analyzer

Analyzer for French language. Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (word that will not be stemmed, but indexed). A default set of stopwords is used unless an alternative list is specified, the exclusion list is empty by default.

Version:
  $Id: FrenchAnalyzer.java 692921 2008-09-07 19:22:40Z mikemccand $

Field Summary
`static String[]` | `FRENCH_STOP_WORDS` Extended list of typical French stopwords.

Constructor Summary
`FrenchAnalyzer()` Builds an analyzer with the default stop words (`FRENCH_STOP_WORDS`).
`FrenchAnalyzer(File stopwords)` Builds an analyzer with the given stop words.
`FrenchAnalyzer(String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`void` | `setStemExclusionTable(File exclusionlist)` Builds an exclusionlist from the words contained in the given file.
`void` | `setStemExclusionTable(Map exclusionlist)` Builds an exclusionlist from a Map.
`void` | `setStemExclusionTable(String[] exclusionlist)` Builds an exclusionlist from an array of Strings.
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRENCH_STOP_WORDS

    public static final String[] FRENCH_STOP_WORDS

  Extended list of typical French stopwords.

Constructor Detail

### FrenchAnalyzer

    public FrenchAnalyzer()

  Builds an analyzer with the default stop words (`FRENCH_STOP_WORDS`).

### FrenchAnalyzer

    public FrenchAnalyzer(String[] stopwords)

  Builds an analyzer with the given stop words.

### FrenchAnalyzer

    public FrenchAnalyzer(File stopwords)
                   throws IOException

  Builds an analyzer with the given stop words.

  Throws:
    `IOException`

Method Detail

### setStemExclusionTable

    public void setStemExclusionTable(String[] exclusionlist)

  Builds an exclusionlist from an array of Strings.

### setStemExclusionTable

    public void setStemExclusionTable(Map exclusionlist)

  Builds an exclusionlist from a Map.

### setStemExclusionTable

    public void setStemExclusionTable(File exclusionlist)
                               throws IOException

  Builds an exclusionlist from the words contained in the given file.

  Throws:
    `IOException`

### tokenStream

    public final TokenStream tokenStream(String fieldName,
                                         Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a StandardTokenizer filtered with StandardFilter, StopFilter, FrenchStemFilter and LowerCaseFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.